# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "highline"
  s.version = "2.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["James Edward Gray II"]
  s.date = "2019-10-11"
  s.description = "A high-level IO library that provides validation, type conversion, and more for\ncommand-line interfaces. HighLine also includes a complete menu system that can\ncrank out anything from simple list selection to complete shells with just\nminutes of work.\n"
  s.email = "james@graysoftinc.com"
  s.extra_rdoc_files = ["README.md", "TODO", "Changelog.md", "LICENSE"]
  s.files = [".gitignore", ".rubocop.yml", ".simplecov", ".travis.yml", "AUTHORS", "COPYING", "Changelog.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "TODO", "appveyor.yml", "doc/.cvsignore", "examples/ansi_colors.rb", "examples/asking_for_arrays.rb", "examples/basic_usage.rb", "examples/color_scheme.rb", "examples/get_character.rb", "examples/limit.rb", "examples/menus.rb", "examples/overwrite.rb", "examples/page_and_wrap.rb", "examples/password.rb", "examples/repeat_entry.rb", "examples/trapping_eof.rb", "examples/using_readline.rb", "highline.gemspec", "lib/highline.rb", "lib/highline/builtin_styles.rb", "lib/highline/color_scheme.rb", "lib/highline/compatibility.rb", "lib/highline/custom_errors.rb", "lib/highline/import.rb", "lib/highline/io_console_compatible.rb", "lib/highline/list.rb", "lib/highline/list_renderer.rb", "lib/highline/menu.rb", "lib/highline/menu/item.rb", "lib/highline/paginator.rb", "lib/highline/question.rb", "lib/highline/question/answer_converter.rb", "lib/highline/question_asker.rb", "lib/highline/simulate.rb", "lib/highline/statement.rb", "lib/highline/string.rb", "lib/highline/string_extensions.rb", "lib/highline/style.rb", "lib/highline/template_renderer.rb", "lib/highline/terminal.rb", "lib/highline/terminal/io_console.rb", "lib/highline/terminal/ncurses.rb", "lib/highline/terminal/unix_stty.rb", "lib/highline/version.rb", "lib/highline/wrapper.rb", "site/.cvsignore", "site/highline.css", "site/images/logo.png", "site/index.html"]
  s.homepage = "https://github.com/JEG2/highline"
  s.licenses = ["Ruby"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.0.14.1"
  s.summary = "HighLine is a high-level command-line IO library."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, [">= 0"])
    else
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, [">= 0"])
  end
end

